Commits

Shlomi Fish committed 8437747

Check that libxslt is not 1.1.27.

Comments (0)

Files changed (3)

 Revision history for Perl extension XML::LibXSLT.
 
+1.79            Mon 26 Nov 12:15:35 IST 2012
+    - Die when libxslt is 1.1.27.
+        - Due to this bug - https://bugzilla.gnome.org/show_bug.cgi?id=684564
+
 1.78            Thu  6 Sep 13:17:28 IDT 2012
     - Add output_method method, update documentation of media_type
     (dorian@cpan).
 
 require Exporter;
 
-$VERSION = "1.78";
+$VERSION = "1.79";
 
 require DynaLoader;
 
 See: https://rt.cpan.org/Ticket/Display.html?id=50487 .
 EOF
             }
+            if ($major == 1 and $minor == 1 and $point == 27)
+            {
+                die <<'EOF';
+libxslt-1.1.27 does not handle namespaces well, and is not supported.
+See: https://bugzilla.gnome.org/show_bug.cgi?id=684564 .
+EOF
+            }
             $config{LIBS} ||= backtick("$xsltcfg --libs");
             $config{INC} ||= backtick("$xsltcfg --cflags");
             print "ok\n";